## magread 0.1.0

=== Makefile ===
#############################################################################
# Makefile for building: MagRead
# Generated by qmake (2.01a) (Qt 4.6.3) on: Fri Nov 5 05:57:40 2010
# Project:  MagRead.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile MagRead.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib64/qt4
LIBS          = $(SUBLIBS)  -L/usr/lib64/qt4 -lpulse-simple -lpulse -lQtGui -L/usr/lib64 -L/usr/lib64/qt4 -L/usr/X11R6/lib -lQtCore -lgthread-2.0 -lrt -lglib-2.0 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		magread.cpp \
		carddetect.cpp \
		audioinput.cpp \
		mslib.c \
		llist.c moc_magread.cpp \
		moc_audioinput.cpp
OBJECTS       = main.o \
		magread.o \
		carddetect.o \
		audioinput.o \
		mslib.o \
		llist.o \
		moc_magread.o \
		moc_audioinput.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		MagRead.pro
QMAKE_TARGET  = MagRead
DESTDIR       = 
TARGET        = MagRead

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: MagRead.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib64/qt4/libQtGui.prl \
		/usr/lib64/qt4/libQtCore.prl
	$(QMAKE) -unix -o Makefile MagRead.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib64/qt4/libQtGui.prl:
/usr/lib64/qt4/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile MagRead.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/MagRead1.0.0 || $(MKDIR) .tmp/MagRead1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/MagRead1.0.0/ && $(COPY_FILE) --parents magread.h carddetect.h audioinput.h mslib.h llist.h magcard.h .tmp/MagRead1.0.0/ && $(COPY_FILE) --parents main.cpp magread.cpp carddetect.cpp audioinput.cpp mslib.c llist.c .tmp/MagRead1.0.0/ && (cd `dirname .tmp/MagRead1.0.0` && $(TAR) MagRead1.0.0.tar MagRead1.0.0 && $(COMPRESS) MagRead1.0.0.tar) && $(MOVE) `dirname .tmp/MagRead1.0.0`/MagRead1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/MagRead1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_magread.cpp moc_audioinput.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_magread.cpp moc_audioinput.cpp
moc_magread.cpp: carddetect.h \
		magcard.h \
		mslib.h \
		llist.h \
		audioinput.h \
		magread.h
	/usr/bin/moc $(DEFINES) $(INCPATH) magread.h -o moc_magread.cpp

moc_audioinput.cpp: mslib.h \
		llist.h \
		magcard.h \
		audioinput.h
	/usr/bin/moc $(DEFINES) $(INCPATH) audioinput.h -o moc_audioinput.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp magread.h \
		carddetect.h \
		magcard.h \
		mslib.h \
		llist.h \
		audioinput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

magread.o: magread.cpp magread.h \
		carddetect.h \
		magcard.h \
		mslib.h \
		llist.h \
		audioinput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o magread.o magread.cpp

carddetect.o: carddetect.cpp carddetect.h \
		magcard.h \
		mslib.h \
		llist.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o carddetect.o carddetect.cpp

audioinput.o: audioinput.cpp audioinput.h \
		mslib.h \
		llist.h \
		magcard.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o audioinput.o audioinput.cpp

mslib.o: mslib.c mslib.h \
		llist.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o mslib.o mslib.c

llist.o: llist.c llist.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o llist.o llist.c

moc_magread.o: moc_magread.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_magread.o moc_magread.cpp

moc_audioinput.o: moc_audioinput.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_audioinput.o moc_audioinput.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/magread/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/magread/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/magread/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/magread/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/magread/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/magread/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/ieatlint/code/MagRead/maemofiles/magread.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/magread.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_icon48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_FILE) /home/ieatlint/code/MagRead/maemofiles/magread_icon.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/


uninstall_icon48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/magread_icon.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 


install:  install_target install_desktop install_icon48  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_icon48   FORCE

FORCE:
