=== debian/changelog ===
magread (0.1.0) unstable; urgency=low

  * Initial release

 -- Jeffrey Malone <ieatlint@tehinterweb.com>  Thu, 04 Nov 2010 06:10:14 -0700
