## magread 0.1.1

=== debian/changelog ===
magread (0.1.1) unstable; urgency=low

  * Fixed missing icon
  * Rotated icon 180 degrees
  * Fixed a leap year issue for calculating ages that could result in 1 day
    age skew.

 -- Jeffrey Malone <ieatlint@tehinterweb.com>  Sat,  6 Nov 2010 16:06:47 -0700
