=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
  data and display it in a familiar format.
  *Requires that you have a hardware dongle, such as those provided by Square.*
  See http://blog.tehinterweb.com/ for more details
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1941
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
- 6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
- SU1FB9oLBQozCb9fDIgAAACJSURBVGje7dk7DgIxEINhD+FeuRryxU2xLKKG
- yuxvKf18SpTHZJKoOTeVBwAAAAAA/JYkSiLbkVQxbOes+118W05EZfGfiDlW
- Ued9aGbYhQAAAAAAAAAAAAAAuDBgXu9MZgAAAAAAvspdOrpzlWfAjJbtx967
- ErDW+oPeaHt3evgnBgAAAIBLA56qTbfaUaUizgAAAABJRU5ErkJggg==
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9oLBhYfBP9W7mEAAACHSURBVGje7dlBCsMwDERRqc69fLUyF58sEoes
+ uymT/AHv9UDYQm7blZxPhQcAAAAA/hzbZbskuaoijiSvuq/i07IQkcXfEX10
+ UeY40d3VZ19xCwEAAADAT9nWOJH6DtBCAAAAAAAAAAAAAAC8FzAkfeecmcWP
+ 8YDdaPp2uvlmBQAAAAAAydkBB2G32hgz0HsAAAAASUVORK5CYII=
