## magread 0.1.3

=== debian/changelog ===
magread (0.1.3) stable; urgency=low

  * Moved entirely over to Qt.  Now requires PR1.3 to successfully read cards.
  * Added support for Symbian, Windows, OS X and Linux
  * Supports auto-rotate functionality; redraws the screen to suite current
    orientation.
  * Fixed several bugs
  * Added an about dialogue that includes a version number and a link to my
    blog.
  * Moved all issue tracking from the Maemo Garage to github because it is now
    a multiplatform program.

 -- Jeffrey Malone <ieatlint@tehinterweb.com>  Sun, 28 Nov 2010 22:56:47 -0700
